/* INDEX */
.program {
  .title-inner {
    background-image: url(../images/program/title-bg.jpg);
    background-position: 83%;
  }
}

.bullet-number {
  counter-reset: num 0;
  margin-top: 60px;
  display: flex;
  flex-direction: column;
  gap: 60px;

  >li {
    counter-increment: num 1;
  }

  .contents,
  &:is(.outcome *)>li {
    display: flex;
    flex-direction: column;
    gap: 28px;
  }

  h3 {
    color: var(--color-secondary);
    font-size: clamp(1em, 1.7vw, 2.5rem);
    font-weight: 500;
    padding-left: 1.4lh;
    position: relative;
    line-height: 1.7;

    @media (width <=767px) {
      padding-left: 0;
      display: flex;
      flex-direction: column;
      gap: 1em;
      text-align: center;
    }

    &::before {
      position: absolute;
      inset: 0 auto auto 0;
      content: counter(num);
      width: 1lh;
      height: 1lh;
      background-color: var(--color-secondary);
      color: #fff;
      border-radius: 50%;
      display: grid;
      place-items: center;

      @media (width <=767px) {
        position: static;
        align-self: center;
        width: 1.4lh;
        height: 1.4lh;
      }

      @media (width <=767px) {
        position: static;
        align-self: center;
        width: 1.4lh;
        height: 1.4lh;
      }
    }
  }

  &.flex {
    >li {
      display: flex;
      gap: 5cqi;

      @media (width <=767px) {
        flex-direction: column;
      }

      >img {
        width: max(39.26%, 300px);

        @media (width <=767px) {
          width: min(100%, 400px);
          align-self: center;
        }
      }
    }
  }

  .certification {
    display: flex;
    gap: 0.7em;
    font-size: var(--fz-middle);
    color: var(--color-primary);
    font-weight: 600;
    align-items: start;

    @media (width <=767px) {
      flex-direction: column;
      gap: 0.1em;
    }

    &::before {
      content: "取得資格";
      background-color: var(--color-primary);
      border-radius: 6px;
      padding: 0 0.7em 0.1em;
      line-height: 1.8;
      color: #fff;
      font-size: 0.9em;
    }

    span {
      flex: 1;
    }
  }
}

.bullet-circle {
  li {
    position: relative;
    padding-left: 1em;

    &::before {
      --sz: 0.7em;
      content: "";
      position: absolute;
      inset: calc((1lh - var(--sz)) / 2) auto auto 0;
      background-color: #f15a24;
      width: var(--sz);
      aspect-ratio: 1;
      border-radius: 50%;
    }
  }

  h4 {
    font-weight: 500;

    &:after {
      content: "：";
    }
  }
}

.system,
.outcome {
  >img {
    margin-inline: auto;
    display: block;
    margin-block: 30px 100px;

    @media (width <=767px) {
      margin-bottom: 50px;
    }
  }
}

.system {
  >img {
    width: min(100%, 956px);
  }
}

.outcome {
  >img {
    width: min(100%, 708px);
  }

  hgroup {
    padding-left: 1.4lh;

    @media (width <=767px) {
      padding-left: 0;
    }

    @media (width <=767px) {
      padding-left: 0;
    }

    h3 {
      margin-bottom: 16px;
      padding-left: 0;

      &::before {
        left: -1.4lh;
      }
    }
  }

  .cards {
    display: grid;
    grid-auto-flow: row;
    row-gap: 18px;
    grid-template-columns: max-content 1fr;

    @media (width <=767px) {
      grid-template-columns: auto;
    }

    li {
      background-color: #e6ebe0;
      border-radius: 10px;
      display: grid;
      grid-template-columns: subgrid;
      grid-column: span 2;

      @media (width <=767px) {
        grid-column: span 1;
      }

      >* {
        padding: 27px 42px;

        @media (width <=767px) {
          padding: 1.6em 1em;
        }
      }

      >div {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 1em;

        &:before {
          inset: 25px auto 25px 0;
          position: absolute;
          content: "";
          width: 1px;
          background-color: currentColor;

          @media (width <=767px) {
            inset: 0 1em auto;
            height: 1px;
            width: auto;
          }
        }
      }
    }

    h4 {
      font-size: var(--fz-middle);
      text-align: center;
      font-weight: 600;
      line-height: 1.6;
      place-self: center;
    }
  }
}

/* FACILITIES */
.facilities {
  .title-inner {
    background-image: url(../images/program/facilities/title-bg.jpg);
    background-position: 62%;
  }
}

.facilities-training {
  >img {
    margin-inline: auto;
    display: block;
    width: min(100%, 940px);

    @media (width <=767px) {
      width: 100vw;
      margin-inline: calc((100% - 100vw) / 2);
      max-width: none;
    }
  }

  ol {
    margin-top: 60px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 50px 5cqi;
    counter-reset: num 0;

    @media (width <=767px) {
      grid-template-columns: repeat(1, 1fr);
      gap: 30px;
      margin-top: 40px;
    }
  }

  li {
    counter-increment: num 1;

    >a {
      pointer-events: none;

      @media (width <=767px) {
        pointer-events: auto;
      }
    }
  }

  .titles {
    color: var(--color-primary);
    line-height: 1.2;
    margin-bottom: 0.5em;
    position: relative;
    width: fit-content;

    &:hover {
      a {
        color: var(--color-secondary);

        &::before {
          background-color: var(--color-secondary);
        }
      }
    }


    /* &:hover:after {
      opacity: 1;
    } */

    a {
      position: relative;
      padding-left: 1.4lh;
      font-weight: 600;
      font-size: var(--fz-middle);
      display: inline-block;
      transition: 0.3s;

      &::before {
        position: absolute;
        inset: 0 auto auto 0;
        font-size: 0.8em;
        content: counter(num);
        width: 1.6em;
        height: 1.6em;
        padding-bottom: 0.1em;
        background-color: var(--color-primary);
        color: #fff;
        border-radius: 50%;
        display: grid;
        place-items: center;
        transition: 0.3s;
      }
    }
  }
}